﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGrid_Filtering_FilterDropDownList : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadFilterDropDownEditor districtFilter = new RadFilterDropDownEditor();
            rfFilter.FieldEditors.Add(districtFilter);
            districtFilter.FieldName = "Country";
        }
    }

    protected void rfFilter_ExpressionItemCreated(object sender, RadFilterExpressionItemCreatedEventArgs e)
    {
        RadFilterSingleExpressionItem singleItem = e.Item as RadFilterSingleExpressionItem;
        if (singleItem != null && singleItem.FieldName == "Country" && singleItem.IsSingleValue)
        {
            RadDropDownList dropDownList = singleItem.InputControl as RadDropDownList;
            ArrayList itemsList = new ArrayList();
            itemsList.Add("London");
            itemsList.Add("Paris");
            itemsList.Add("Berlin");
            dropDownList.DataSource = itemsList;
            dropDownList.DataBind();
        }
    }
}